'Practice Test 

Imports System.IO



Public Class FrmBeatlesCD
    Dim JohnMove As Integer = 1
    Dim PaulMove As Integer = 1
    Dim GeorgeMove As Integer = -1
    Dim RingoMove As Integer = -1

    Dim SongTitle As String()
    Dim SongAlbumCode As String()
    Dim AlbumAlbumCode As String()
    Dim AlbumTitle As String()
    Dim AlbumImage As String()
    Dim SongCount As Integer = 0

    Dim ThePath As String

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        picJohn.Location = New Drawing.Point(picJohn.Location.X + JohnMove, picJohn.Location.Y)

        If picJohn.Location.X > Me.Width - picJohn.Width Then
            JohnMove = -1
        End If

        If picJohn.Location.X < 0 Then
            JohnMove = +1
        End If

        picPaul.Location = New Drawing.Point(picPaul.Location.X, picPaul.Location.Y + PaulMove)

        If picPaul.Location.Y > Me.Height - picPaul.Height - 25 Then
            PaulMove = -1
        End If

        If picPaul.Location.Y < 0 Then
            PaulMove = +1
        End If

        picGeorge.Location = New Drawing.Point(picGeorge.Location.X + GeorgeMove, picGeorge.Location.Y)

        If picGeorge.Location.X > Me.Width - picGeorge.Width Then
            GeorgeMove = -1
        End If

        If picGeorge.Location.X < 0 Then
            GeorgeMove = +1
        End If

        picRingo.Location = New Drawing.Point(picRingo.Location.X, picRingo.Location.Y + RingoMove)

        If picRingo.Location.Y > Me.Height - picRingo.Height - 25 Then
            RingoMove = -1
        End If

        If picRingo.Location.Y < 0 Then
            RingoMove = +1
        End If

    End Sub

    Private Sub FrmBeatlesCD_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Dim MyStreamReader As StreamReader
        Dim AllInfo As String
        Dim Lines As String()
        Dim Token As String()
        Dim i As Integer

        Try
            ThePath = Directory.GetCurrentDirectory
            MyStreamReader = New StreamReader(ThePath & "\BeatlesSongs.txt")
            AllInfo = MyStreamReader.ReadToEnd
            AllInfo = AllInfo.Trim
            MyStreamReader.Close()
        Catch
            MsgBox("Problem reading file.")
            End
        End Try

        Lines = AllInfo.Split(vbCrLf)

        SongTitle = New String(Lines.GetUpperBound(0)) {}
        SongAlbumCode = New String(Lines.GetUpperBound(0)) {}

        For i = 0 To Lines.GetUpperBound(0)
            Lines(i) = Lines(i).Trim
            Token = Lines(i).Split(",")
            SongTitle(i) = Token(0).Trim
            SongAlbumCode(i) = Token(1).Trim
            lstSongs.Items.Add(SongTitle(i))
        Next

        Try
            MyStreamReader = New StreamReader(ThePath & "\BeatlesAlbums.txt")
            AllInfo = MyStreamReader.ReadToEnd
            AllInfo = AllInfo.Trim
            MyStreamReader.Close()
        Catch
            MsgBox("Problem reading file.")
            End
        End Try

        Lines = AllInfo.Split(vbCrLf)

        AlbumAlbumCode = New String(Lines.GetUpperBound(0)) {}
        AlbumTitle = New String(Lines.GetUpperBound(0)) {}
        AlbumImage = New String(Lines.GetUpperBound(0)) {}

        For i = 0 To Lines.GetUpperBound(0)
            Lines(i) = Lines(i).Trim
            Token = Lines(i).Split(",")
            AlbumAlbumCode(i) = Token(0).Trim
            AlbumTitle(i) = Token(1).Trim
            AlbumImage(i) = Token(2).Trim
            'MsgBox(AlbumImage(i))
        Next
    End Sub

    Private Sub lstSongs_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles lstSongs.SelectedIndexChanged
        Dim SongIndex As Integer
        Dim AlbumIndex As Integer

        SongIndex = Array.IndexOf(SongTitle, lstSongs.SelectedItem)
        AlbumIndex = Array.IndexOf(AlbumAlbumCode, SongAlbumCode(SongIndex))

        picAlbum.Image = Image.FromFile(ThePath & "\" & AlbumImage(AlbumIndex))
        lblTitle.Text = AlbumTitle(AlbumIndex)


    End Sub

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        txtAlbum.Text &= lstSongs.SelectedItem & vbCrLf
        SongCount += 1
        lblCount.Text = SongCount & " songs chosen."

        If SongCount = 10 Then
            btnAdd.Enabled = False
            btnSave.Enabled = True
        End If
    End Sub

    Private Sub btnSave_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSave.Click
        Dim MyStreamWriter As StreamWriter


        Try
            sfdAlbum.ShowDialog()
            MyStreamWriter = New StreamWriter(sfdAlbum.FileName)
            MyStreamWriter.Write(txtAlbum.Text)
            MyStreamWriter.Flush()
            MsgBox("File written to " & sfdAlbum.FileName)
        Catch ex As Exception
            MsgBox("Problem writing to file.")
            Exit Sub
        End Try


    End Sub


    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Dim i As Integer
        Dim Message As String = ""

        For i = 0 To lstSongs.Items.Count - 1
            If lstSongs.Items.Item(i).tolower.indexof(txtKey.Text.ToLower) <> -1 Then
                Message &= lstSongs.Items.Item(i) & vbCrLf
            End If
        Next

        If Message = "" Then
            MsgBox("No songs found with that word.")
        Else
            MsgBox(Message)
        End If
    End Sub

    Private Sub btnClear_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnClear.Click
        txtKey.Clear()
        txtAlbum.Clear()
        btnAdd.Enabled = True
        btnSave.Enabled = False
        SongCount = 0
    End Sub
End Class
